import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import OpenAiChatGptLogoLight from './OpenAiChatGptLogoLight';
import OpenAiChatGptLogoDark from './OpenAiChatGptLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const OpenAiChatGptLogoSvg = forwardRef(function OpenAiChatGptLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(OpenAiChatGptLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(OpenAiChatGptLogoLight, Object.assign({}, props, { ref: ref })));
});
export default OpenAiChatGptLogoSvg;
